Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class CreateVolumePermission

    java.lang.Object
      com.amazonaws.services.ec2.model.CreateVolumePermission

    public class CreateVolumePermission

extends Object

Describes a permission allowing either a user or group to create a new EBS volume from a snapshot.

Constructor Summary
`CreateVolumePermission()`

Method Summary
`String` | `getGroup()` The group that is allowed to create volumes from the snapshot (currently supports "all").
`String` | `getUserId()` The user ID of the user that can create volumes from the snapshot.
`void` | `setGroup(String group)` The group that is allowed to create volumes from the snapshot (currently supports "all").
`void` | `setUserId(String userId)` The user ID of the user that can create volumes from the snapshot.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`CreateVolumePermission` | `withGroup(String group)` The group that is allowed to create volumes from the snapshot (currently supports "all").
`CreateVolumePermission` | `withUserId(String userId)` The user ID of the user that can create volumes from the snapshot.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CreateVolumePermission

    public CreateVolumePermission()

Method Detail

### getUserId

    public String getUserId()

  The user ID of the user that can create volumes from the snapshot.

  Returns:
    The user ID of the user that can create volumes from the snapshot.

### setUserId

    public void setUserId(String userId)

  The user ID of the user that can create volumes from the snapshot.

  Parameters:
    `userId` - The user ID of the user that can create volumes from the snapshot.

### withUserId

    public CreateVolumePermission withUserId(String userId)

  The user ID of the user that can create volumes from the snapshot.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `userId` - The user ID of the user that can create volumes from the snapshot.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getGroup

    public String getGroup()

  The group that is allowed to create volumes from the snapshot (currently supports "all").

  Returns:
    The group that is allowed to create volumes from the snapshot (currently supports "all").

### setGroup

    public void setGroup(String group)

  The group that is allowed to create volumes from the snapshot (currently supports "all").

  Parameters:
    `group` - The group that is allowed to create volumes from the snapshot (currently supports "all").

### withGroup

    public CreateVolumePermission withGroup(String group)

  The group that is allowed to create volumes from the snapshot (currently supports "all").

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `group` - The group that is allowed to create volumes from the snapshot (currently supports "all").
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.